/*
 * uart.h
 *
 * Created: 4/6/2022 11:26:15 AM
 *  Author: Admin
 */ 


#ifndef UART_H_
#define UART_H_ 1
#include <avr/io.h>

#define F_CPU 16000000UL
#define B_R_9600

#ifdef B_R_9600
#define BAUDRATE       9600
#define BAUD_PRESCALE ((F_CPU + BAUDRATE * 4UL) / (BAUDRATE * 8UL) - 1UL)
#else
#define BAUDRATE       9600
#define BAUD_PRESCALE  (((F_CPU / (BAUDRATE * 16UL))) - 1)  // vzorcek z datasheetu

#endif


void uart_init( void );
     
extern  int uart_putchar(const char c);


char uart_getc( void );






#endif /* UART_H_ */